Package io.dapr.client.domain

# Class QueryStateRequest

java.lang.Object
io.dapr.client.domain.QueryStateRequest

public class QueryStateRequest extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueryStateRequest(String storeName)`

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getMetadata()`
`Query`
`getQuery()`
`String`
`getQueryString()`
`String`
`getStoreName()`
`QueryStateRequest`
`setMetadata(Map<String,String> metadata)`
`QueryStateRequest`
`setQuery(Query query)`
Validate and set the query field.
`QueryStateRequest`
`setQueryString(String queryString)`
Validate and set the queryString field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryStateRequest

public QueryStateRequest(String storeName)

## Method Details

### getStoreName

public String getStoreName()

### getQuery

public Query getQuery()

### setQuery

public QueryStateRequest setQuery(Query query)
Validate and set the query field. Mutually exclusive with the queryString field in this instance.

Parameters:
  `query` - Valid Query domain object.
Returns:
  This instance.

### getQueryString

public String getQueryString()

### setQueryString

public QueryStateRequest setQueryString(String queryString)
Validate and set the queryString field. Mutually exclusive with the query field in this instance.

Parameters:
  `queryString` - String value of the query.
Returns:
  This request object for fluent API.

### getMetadata

public Map<String,String> getMetadata()

### setMetadata

public QueryStateRequest setMetadata(Map<String,String> metadata)